/**
 * Hoofbaby -- http://www.dsource.org/projects/hoofbaby
 * Copyright (C) 2009 Robert Fraser
 * 
 * This program is free software; you can redistribute it andor
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

module hoofbaby.util.exception;

import tango.core.Exception;

public class NotImplementedException : Exception
{
	public this(char[] msg)
	{
		super(msg);
	}
	
	public this()
	{
		this("Not implemented");
	}
}

public class IllegalOperationException : Exception
{
	public this(char[] msg)
	{
		super(msg);
	}
	
	public this()
	{
		this("Illegal operation");
	}
}

public class UnrecoverableException : Exception
{
	public this(char[] msg)
	{
		super(msg);
	}
}
